Facebook chat v Pidgin messengeru v Linuxu

Možná jste byli dříve zvyklí používat v programu Pidgin Facebook chat jako běžný jabber (xmpp) účet, ale to již nějakou dobu není možné. Naštěstí existuje alternativa v podobě balíčku purple-facebook od dequis (původně od Jamese Geboskiho). Stránku balíčku nalezneme zde.

Instalace balíčku purple-facebook

Instalaci lze provést jednoduše, viz základní pokyny zde, které si nyní shrneme:

echo 'deb http://download.opensuse.org/repositories/home:/jgeboski/Debian_9.0 ./' >> /etc/apt/sources.list
wget -O- https://jgeboski.github.io/obs.key | apt-key add -
apt-get update
apt-get install purple-facebook

V říjnu 2017 expiroval klíč k repozitáři

Pokud se vám začala při upgradu systému objevovat informace typu:

Err http://download.opensuse.org/repositories/home:/jgeboski/Debian_9.0 ./ Release.gpg
The following signatures were invalid: EXPKEYSIG 12C6ADA61C85BB5E home:jgeboski OBS Project <home:jgeboski@build.opensuse.org>
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://download.opensuse.org/repositories/home:/jgeboski/Debian_9.0 ./ Release: The following signatures were invalid: EXPKEYSIG 12C6ADA61C85BB5E home:jgeboski OBS Project <home:jgeboski@build.opensuse.org>
W: Failed to fetch http://download.opensuse.org/repositories/home:/jgeboski/Debian_9.0/./Release.gpg: The following signatures were invalid: EXPKEYSIG 12C6ADA61C85BB5E home:jgeboski OBS Project <home:jgeboski@build.opensuse.org>
W: Some index files failed to download. They have been ignored, or old ones used instead.

Tak je to tím, že došlo k expiraci klíče k repozitáři, odkud je balík stahován. V tomto směru stačí stáhnout nový klíč a aktualizovat repozitáře:

wget -O- https://jgeboski.github.io/obs.key | apt-key add -
apt-get update

Publikováno 26.4.2016 v 22:22 | Kategorie: Sociální sítě